Summary:	Configure keyboard and mouse
Name:		lxinput
Version:	0.3.5
Release:	%mkrel 4.git20190224.4
License:	GPLv2+
Group:		Graphical desktop/Other
#Source0:	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz
Source0:	%{name}-1f4d635.tar.xz
Patch0:		%{name}-0.3.5-mga-lxde-only.patch
Patch1:		%{name}-0.3.5-fix-repeat-interval.patch
URL:		http://www.lxde.org
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	docbook-dtd412-xml 
BuildRequires:	xsltproc

%description
LXInput is a small program used to configure keyboard and mouse for LXDE.

%prep
%setup -qn %{name}-1f4d635
%autopatch -p1

%build
./autogen.sh
%configure --enable-man --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_mandir}/man1/*.1.*




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.3.5-4.git20190224.4.mga9
+ Revision: 1835478
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 ns80 <ns80> 0.3.5-4.git20190224.3.mga9
+ Revision: 1696134
- build with GTK 3

* Sat Feb 15 2020 umeabot <umeabot> 0.3.5-4.git20190224.2.mga8
+ Revision: 1523458
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.3.5-4.git20190224.1.mga7
+ Revision: 1371342
- update to latest git snapshot

* Sun Sep 23 2018 umeabot <umeabot> 0.3.5-3.mga7
+ Revision: 1299398
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Apr 11 2016 ns80 <ns80> 0.3.5-2.mga6
+ Revision: 1000247
- add patch fix-repeat-interval and update patch lxde-only (mga#18182)

* Sun Feb 21 2016 ns80 <ns80> 0.3.5-1.mga6
+ Revision: 975308
- new version 0.3.5
- rediff patch lxde-only

* Tue Feb 09 2016 umeabot <umeabot> 0.3.4-3.mga6
+ Revision: 950982
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 alexl <alexl> 0.3.4-2.mga5
+ Revision: 799591
- show lxinput.desktop in LXDE only (mga#14635)

* Wed Oct 22 2014 alexl <alexl> 0.3.4-1.mga5
+ Revision: 792492
- version 0.3.4 (mga#14196)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 750213
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 682075
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-3.mga4
+ Revision: 507674
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 359156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 fwang <fwang> 0.3.2-1.mga3
+ Revision: 247769
- new version 0.3.2

* Thu Aug 04 2011 fwang <fwang> 0.3.1-1.mga2
+ Revision: 131686
- new version 0.3.1
+ ahmad <ahmad>
- imported package lxinput


* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 567442
- update to 0.3.0
- add --enable-man and add BR docbook-dtd412-xml, xsltproc to build the manpages

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 411583
- fix file list
- new version 0.1.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.1-1mdv2010.0
+ Revision: 369559
- import lxinput


